@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.contacts-section {
  & {
    margin: 0 auto;
    text-align: center;
    padding: 0 0 100px;
    max-width: @container_width;

    @media (max-width: @screen_desktop) {
      padding: 0 20px 80px;
    }
  }

  .title {
    font-size: 40px;
    color: @primary_color;
    font-family: @font_primary;
    padding: 0 0 80px;
    margin: 0;

    @media (max-width: @screen_tablet) {
      padding-bottom: 30px;
      font-size: 28px;
    }
  }

  & > .text {
    font-size: 24px;
    font-family: @font_second;
    padding: 0 0 80px;
    margin: 0 auto;
    line-height: 1.5;

    @media (max-width: @screen_tablet) {
      font-size: 16px;
      padding-bottom: 40px;
    }
  }

  .list {
    & {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;

      @media (max-width: @screen_desktop) {
       flex-direction: column;
        align-items: center;
      }
    }

    .item {
      & {
        display: flex;
        justify-content: center;
        text-align: center;
        font-family: @font_primary;
        max-width: 300px;
        margin: 0 10px 30px;
        flex-wrap: wrap;

        @media (max-width: @screen_tablet) {
          max-width: 260px;

          &:not(:first-of-type) {
            margin-top: 10px;
          }
        }
      }

      .icon {
        & {
          font-size: 70px;
          line-height: 0;
          margin-bottom: 40px;
          border-radius: 50%;
          color: @bg_form;

          @media (max-width: @screen_tablet) {
            font-size: 60px;
          }
        }

        &.-geolocation:after {
          .icon-geolocation;
        }

        &.-mail:after {
          .icon-mail;
        }

        &.-phone:after {
          .icon-telephone;
        }
      }

      .text {
        font-family: @font_second;
        margin: 0;
        font-size: 16px;
        display: block;
        line-height: 2;

        @media (max-width: @screen_tablet) {
          font-size: 14px;
        }
      }
    }
  }
}

